Skip to Content

Create a namespace

Creates a namespace with status 201. Names are unique within the organization; a duplicate conflicts.

POST
/v1/namespaces

Creates a namespace with status 201. Names are unique within the organization; a duplicate conflicts.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 128
metadata?|null

Response Body

Success

application/json
  1. response
id*NamespaceId
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
createdAt*string
metadata*

Your own labels for the namespace, such as the id of your customer it serves. Samva stores them and never reads them.

updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.namespaces.create({
  "name": "example"
});
Example Response
{
  "id": "string",
  "name": "string",
  "createdAt": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "updatedAt": "string"
}

Related documentation